################################################################################
#					BASH SCRIPT ON LINUX/UNIX - BEGIN
################################################################################
#!/bin/bash

export GIT_BRACNH="master"

export TIMESTAMP=`date +"%Y-%m-%d %H:%M:%S"`
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..

cd ${SRC_DIR}
mkdir -p ${SRC_DIR}/patchs
git add .
git checkout ${GIT_BRACNH}
git format-patch HEAD^ --stdout > ${SRC_DIR}/patchs/openssl-3.3.2-to_3.3.2-vgisc.r1.patch
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################