################################################################################
#					BASH SCRIPT ON LINUX/UNIX - BEGIN
################################################################################
#!/bin/bash

export GIT_BRACNH="main"
export GIT_TAG="8.45"

export TIMESTAMP=`date +"%Y-%m-%d %H:%M:%S"`
export SCRIPT=$(readlink -f "$0")
export SCRIPT_PATH=$(dirname "$SCRIPT")
export SRC_DIR=${SCRIPT_PATH}/../..

cd ${SRC_DIR}
git add .
git checkout ${GIT_BRACNH}
git commit -m "${TIMESTAMP}"
git tag -d ${GIT_TAG}
git push origin :refs/tags/${GIT_TAG}
git tag -a ${GIT_TAG} -m ${GIT_TAG}
git push --tags
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################